require 'express_admin'
module ExpressAnalytics
  class Engine < ::Rails::Engine
    initializer :assets do |config|
      engine_assets_path = File.join(File.dirname(__FILE__), '..', '..', 'app', 'assets')
      all_assets = Dir.glob File.join(engine_assets_path, 'stylesheets', '**', '*.css*')
      all_assets += Dir.glob File.join(engine_assets_path, 'javascripts', '**', '*.js*')
      all_assets.each {|path| path.gsub!("#{engine_assets_path}/stylesheets/", '')}
      all_assets.each {|path| path.gsub!("#{engine_assets_path}/javascripts/", '')}
      Rails.application.config.assets.precompile += all_assets
    end
    include ::ExpressAdmin::Menu::Loader
    ExpressAnalytics::Engine.config.express_analytics_mount_point = '/admin/analytics'
    isolate_namespace ExpressAnalytics
  end
end
